<div class="box-loading hidden no-print">
    <div id="box-loading">
        <div class="loading">
            <h2>Loading</h2>
            <small>Please wait...</small>
            <div class="loader"></div>
        </div>
    </div>
</div>
<div id="viewerMain">
    <div id="viewerToolbar" class="clearfix no-print">
        <div class="group">
            <button class="btn-icon tooltip-hover"
                    [hidden]="isShowImage" type="button">
                <img src="../assets/images/zoom_in.png" alt="Zoom In"/>
                <span class="tooltiptext tooltip-bottom">Zoom In</span>
            </button>
            <button class="btn-icon tooltip-hover"
                    [hidden]="isShowImage" type="button">
                <img src="../assets/images/zoom_out.png" alt="Zoom Out"/>
                <span class="tooltiptext tooltip-bottom">Zoom Out</span>
            </button>
            <button class="btn-icon tooltip-hover" [hidden]="!isShowImage" type="button"
                    (click)="zoomIn()">
                <img src="../assets/images/zoom_in.png" alt="Zoom In"/>
                <span class="tooltiptext tooltip-bottom">Zoom In</span>
            </button>
            <button class="btn-icon tooltip-hover" [hidden]="!isShowImage" type="button"
                    (click)="zoomOut()">
                <img src="../assets/images/zoom_out.png" alt="Zoom Out"/>
                <span class="tooltiptext tooltip-bottom">Zoom Out</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/fit_window.png" alt="Fit To Window"/>
                <span class="tooltiptext tooltip-bottom">Fit To Window</span>
            </button>
            <button class="btn tooltip-hover">
                <img src="../assets/images/rotate_left.png" alt="Rotate Left"/>
                <span class="tooltiptext tooltip-bottom">Rotate Left</span>
            </button>
            <button class="btn tooltip-hover">
                <img src="../assets/images/rotate_right.png" alt="Rotate Right"/>
                <span class="tooltiptext tooltip-bottom">Rotate Right</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/crop.png" alt="Crop"/>
                <span class="tooltiptext tooltip-bottom">Crop</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/magnify.png" alt="Magnify"/>
                <span class="tooltiptext tooltip-bottom">Magnify</span>
            </button>
        </div>
        <div class="group">
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/save_as.png" alt="Save As"/>
                <span class="tooltiptext tooltip-bottom">Save As</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/copy.png" alt="Copy document"/>
                <span class="tooltiptext tooltip-bottom">Copy document</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/add_document.png" alt="Add document"/>
                <span class="tooltiptext tooltip-bottom">Add document</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/move.png" alt="Move document"/>
                <span class="tooltiptext tooltip-bottom">Move document</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/delete.png" alt="Delete document"/>
                <span class="tooltiptext tooltip-bottom">Delete document</span>
            </button>
        </div>
        <div class="group">
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/email_send.png" alt="Email Document"/>
                <span class="tooltiptext tooltip-bottom">Email Document</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/fax.png" alt="Fax document"/>
                <span class="tooltiptext tooltip-bottom">Fax document</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/print.png" alt="Print document"/>
                <span class="tooltiptext tooltip-bottom">Print document</span>
            </button>
        </div>
        <div class="group">
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/signature.png" alt="Signature"/>
                <span class="tooltiptext tooltip-bottom">Signature</span>
            </button>
            <button class="btn tooltip-hover" type="button">
                <img src="../assets/images/settings.png" alt="Settings"/>
                <span class="tooltiptext tooltip-bottom">Settings</span>
            </button>
        </div>
    </div>
    <div id="viewerTabTree" class="no-print">
        <ngb-tabset [justify]="justified">
            <ngb-tab>
                <ng-template ngbTabTitle><a href='javascript:void(0)' (click)="openFolder('')">
                    <div class="tooltip-hover">
                        <i class="fa fa-folder-open-o fa-2x" aria-hidden="true"></i><span class="tooltiptext">Select folder and tree view docs</span>
                    </div>
                </a></ng-template>
                <ng-template ngbTabContent>
                    <div class="box-item-thumb">
                        <div class="col-xs-12 thumbnails" *ngFor="let item of listFolderOrDocument">
                            <div class="item clearfix tooltip-hover"
                                 (click)="showDocument(item.path, item.fileName, item.isDocumentFolder); t.select('listThumb')"
                                 *ngIf="item.isDocumentFolder && item.isDirectory">
                                <div class="image thumbnails">
                                    <img src="../assets/images/{{item.icon}}" alt="{{item.fileName}}">
                                    <span class="tooltiptext tooltip-top">{{item.fileName}}</span>
                                </div>
                            </div>
                            <div class="item clearfix tooltip-hover" (dblclick)="openFolder(item.path)"
                                 *ngIf="!item.isDocumentFolder && item.isDirectory">
                                <div class="image thumbnails">
                                    <img src="../assets/images/{{item.icon}}" alt="{{item.fileName}}">
                                    <span class="tooltiptext tooltip-top">{{item.fileName}}</span>
                                </div>
                            </div>
                            <div class="item tooltip-hover"
                                 (click)="showDocument(item.path, item.fileName, item.isDocumentFolder); t.select('listThumb')"
                                 *ngIf="!item.isDirectory">
                                <div class="image thumbnails"
                                     *ngIf="item.ext === 'jpg' || item.ext === 'JPG' || item.ext === 'jpeg' || item.ext === 'JPEG' || item.ext === 'png' || item.ext === 'png'">
                                    <img src="../assets/images/{{item.icon}}" alt="{{item.fileName}}">
                                    <span class="tooltiptext tooltip-top">{{item.fileName}}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </ngb-tab>
        </ngb-tabset>
    </div>
    <div id="content" class="clearfix">
        <div id="viewerAnnToolbar" class="no-print">
            <div class="btn-group-vertical" role="group">
                <button class="btn tooltip-hover" type="button"
                        data-toggle="tooltip"
                        title="Picture controls">
                    <img src="../assets/images/contrast_setting.png" alt="Brightness / Contrast"/>
                    <span class="tooltiptext tooltip-right">Brightness / Contrast</span>
                </button>
                <button class="btn show-hide-annotation tooltip-hover"
                        data-toggle="tooltip"
                        title="Show Annotation">
                    <img src="../assets/images/invisible.png" *ngIf="!isShowAnnotation" alt="Hide Annotations"/>
                    <span class="tooltiptext tooltip-right">Hide Annotations</span>
                    <img src="../assets/images/visible.png" *ngIf="isShowAnnotation" alt="Show Annotations"/>
                    <span class="tooltiptext tooltip-right">Show Annotations</span>
                </button>
                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_text tooltip-hover" type="button"
                        data-toggle="tooltip" title="Add Text" (click)="addText()">
                    <img src="../assets/images/marker_pen.png" alt="Marker Pen"/>
                    <span class="tooltiptext tooltip-right">Text Edit</span>
                </button>
                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_note tooltip-hover" type="button"
                        data-toggle="tooltip" title="Add Note" (click)="addNote()">
                    <img src="../assets/images/note.png" alt="Note"/>
                    <span class="tooltiptext tooltip-right">Sticky Note</span>
                </button>
                <div class="btn-group btn-annotation" role="group">
                    <button id="btnGroupVerticalDrop1" type="button" data-tooltip="tooltip" title="Add Stamp"
                            class="btn dropdown-toggle stamp tooltip-hover" data-toggle="dropdown" aria-haspopup="true"
                            aria-expanded="false" [disabled]="!isShowAnnotation">
                        <img src="../assets/images/stamp.png" alt=""/>
                        <span class="tooltiptext tooltip-right">Stamp</span>
                    </button>
                    <ul class="dropdown-menu add-stamp-menu" aria-labelledby="btnGroupVerticalDrop1">
                        <li *ngFor="let annotation of annotationsType">
                            <a href="javascript:void(0)">
                                <img width="15" src="{{annotation.content}}"
                                     alt="{{annotation.name}}"/> {{annotation.name}}
                                <span class="tooltiptext tooltip-right">{{annotation.name}}</span>
                            </a>
                        </li>
                    </ul>
                </div>

                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_highlight_rectangle tooltip-hover" type="button"
                        data-toggle="tooltip"
                        title="Highlight Rectangle" style="margin-top: 20px">
                    <img src="../assets/images/annHighlightRect.svg" alt="Highlight Rectangle"/>
                    <span class="tooltiptext tooltip-right">Highlight Rectangle</span>
                </button>

                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_redaction_area tooltip-hover" type="button" data-toggle="tooltip"
                        title="Redaction Area">
                    <img src="../assets/images/redaction_area.png" alt="Redaction Area"/>
                    <span class="tooltiptext tooltip-right">Redaction Area</span>
                </button>

                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_line tooltip-hover" type="button" data-toggle="tooltip"
                        title="Add Line"
                        style="margin-top: 20px">
                    <img src="../assets/images/annLine.svg" alt="Line"/>
                    <span class="tooltiptext tooltip-right">Line</span>
                </button>

                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_arrow tooltip-hover" type="button" data-toggle="tooltip"
                        title="Add Arrow">
                    <img src="../assets/images/annArrow.svg" alt="Arrow"/>
                    <span class="tooltiptext tooltip-right">Arrow</span>
                </button>

                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_filled_rectangle tooltip-hover" type="button"
                        data-toggle="tooltip"
                        title="Filled Rectangle" style="margin-top: 20px">
                    <img src="../assets/images/annFilledRect.svg" alt="Filled Rectangle"/>
                    <span class="tooltiptext tooltip-right">Filled Rectangle</span>
                </button>
                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_filled_ellipse tooltip-hover" type="button" data-toggle="tooltip"
                        title="Filled Ellipse">
                    <img src="../assets/images/annFilledEllipse.svg" alt="Filled Ellipse"/>
                    <span class="tooltiptext tooltip-right">Filled Ellipse</span>
                </button>

                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_rectangle tooltip-hover" type="button" data-toggle="tooltip"
                        title="Rectangle"
                        style="margin-top: 20px">
                    <img src="../assets/images/annRect.svg" alt="Rectangle"/>
                    <span class="tooltiptext tooltip-right">Rectangle</span>
                </button>
                <button [disabled]="!isShowAnnotation"
                        class="btn btn-annotation add_ellipse tooltip-hover" type="button" data-toggle="tooltip"
                        title="Ellipse">
                    <img src="../assets/images/annEllipse.svg" alt="Ellipse"/>
                    <span class="tooltiptext tooltip-right">Ellipse</span>
                </button>
            </div>
        </div>
        <div id="edit-document">
            <div class="box-content">
                <div class="box-image">
                    <canvas id="page{{documentPage}}" #myCanvas
                            (mousedown)="onMouseDown($event)"
                            (mouseup)="onMouseUp($event)"
                            (mousemove)="onMouseMove($event)"
                            oncontextmenu="return false;"
                            width="720" height="932"
                            *ngIf="isShowImage"></canvas>
                </div>
                <canvas class="magnify-glass" #magnify></canvas>
                <div class="box-loading2 hidden no-print">
                    <div id="box-loading2">
                        <div class="loading">
                            <h2>Loading</h2>
                            <small>Please wait...</small>
                            <div class="loader"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div id="popup">
            <div id="vvAnnPopUpForm">
                <input type="text" title="Annotation Index" class="annotation-index" value="" hidden/>
                <div class="form-group">
                    <label for="EditText">Edit text</label>
                    <textarea class="form-control textEdit" id="EditNote"
                              rows="1" (focus)="showButton()">Text</textarea>
                    <button type="button" class="btn btn-default btn-sm" *ngIf="showBtnPopup">
                        Save
                    </button>
                    <button type="button" class="btn btn-default btn-sm" *ngIf="showBtnPopup">
                        Cancel
                    </button>
                </div>
                <div class="form-group">
                    <label for="EditText">Font Color:</label>
                    <div class="input-group">
                    <span class="input-group-btn">
                      <button class="btn btn-default btn-select-color"
                              type="button"></button>
                    </span>
                        <input type="text" name="colorName"
                               title="colorName" class="form-control" id="fontColorNote" readonly/>
                    </div>
                    <div class="vvColorSquaresContainer"
                         aria-label="Dropdown list of colors to choose from." *ngIf="isShowColorSelected">
                        <div class="vvColorPickerSquare"
                             *ngFor="let fontFamily of config.LIST_FONT_COLOR"
                             style="height: 30px; width: 30px;">
                            <div [style.backgroundColor]="fontFamily" style="width: 100%; height: 100%;"></div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="form-group">
                    <div id="vvAnnNote" class="row">
                        <div id="vvAnnTextFaceNote" class="form-group-sm col-md-7">
                            <label for="vvAnnTextFaceSelect" data-localize="annPopUp.fontFaceLabel.value"
                                   id="vvAnnTextFaceLabelNote" class="control-label"
                                   style="height: 14px;">Font: </label>
                            <select id="vvAnnTextFaceSelectNote"
                                    title="vvAnnTextFaceSelectNote"
                                    class="form-control">
                                <option *ngFor="let fontFamily of config.LIST_FONT_FAMILY">{{fontFamily}}</option>
                            </select>
                        </div>
                        <div id="vvAnnTextSizeNote" class="form-group-sm col-md-5">
                            <label for="vvAnnTextSizeSelect" class="control-label"
                                   data-localize="annPopUp.fontSizeLabel.value" id="vvAnnTextSizeLabelNote"
                                   style="height: 14px;">Font Size: </label>
                            <select id="vvAnnTextSizeSelectNote" class="form-control">
                                <option *ngFor="let font of config.LIST_FONT_SIZE" [value]="font">{{font}}</option>
                            </select>
                        </div>
                        <div id="vvAnnTextStyleNote" class="checkbox form-group-sm col-md-12">
                            <label for="vvAnnTextStyleBold" class="control-label col-md-6">
                                <input id="vvAnnTextStyleBoldNote" type="checkbox" name="Bold"
                                        value="Bold"
                                        data-original-title="Bold"
                                        title="Bold">
                                <b data-localize="annPopUp.bold">Bold</b>
                            </label>
                            <label for="vvAnnTextStyleItalic" class="control-label col-md-6">
                                <input id="vvAnnTextStyleItalicNote" type="checkbox" name="Italic"
                                       value="Italic"
                                       title="Italic">
                                <i data-localize="annPopUp.italic">Italic</i>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div id="vvAnnotationInformationNote">
                        <div class="vvAnnPopUpInfo">
                            <label id="vvAnnCreateNote" for="vvAnnCreateUser">Created by: </label>
                            <div id="vvAnnCreateUserNote">Undefined&nbsp;User</div>
                        </div>
                        <div class="vvAnnPopUpInfo">
                            <label id="vvAnnDateNote" for="vvAnnCreateDate">On: </label>
                            <div id="vvAnnCreateDateNote">{{ timeCreate }}</div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <button type="button" class="btn btn-danger" (click)="removeItem($event)" data-toggle="tooltip"
                            title="Delete Annotation"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                    </button>
                    <button type="button" class="btn btn-success" (click)="applyChange($event)" data-toggle="tooltip"
                            title="Apply"><span class="glyphicon glyphicon-ok" aria-hidden="true"></span>
                    </button>
                </div>
            </div>
            <div id="vvAnnPopUpFormText">
                <input type="text" title="Annotation Index" class="annotation-index" value="" hidden/>
                <div class="form-group">
                    <label for="EditText">Edit text</label>
                    <textarea class="form-control textEdit" id="EditText" [style.color]="settings.textedit.colorName"
                              rows="1" (focus)="showButton()">Text</textarea>
                    <button type="button" class="btn btn-default btn-sm" *ngIf="showBtnPopup"
                            (click)="saveText($event, 'EditText')">
                        Save
                    </button>
                    <button type="button" class="btn btn-default btn-sm" *ngIf="showBtnPopup"
                            (click)="canSaveText($event, 'EditText')">
                        Cancel
                    </button>
                </div>
                <div class="form-group">
                    <label for="EditText">Font Color:</label>
                    <div class="input-group">
                    <span class="input-group-btn">
                      <button class="btn btn-default btn-select-color"
                              type="button"
                              [ngStyle]="{'background':settings.textedit.colorName, 'width': '34px', 'height': '34px'}"></button>
                    </span>
                        <input type="text" name="colorName" [style.background]="settings.textedit.colorName"
                               title="colorName" class="form-control" id="fontColor"
                               [value]="settings.textedit.colorName" readonly/>
                    </div>
                    <div class="vvColorSquaresContainer"
                         aria-label="Dropdown list of colors to choose from." *ngIf="isShowColorSelected">
                        <div class="vvColorPickerSquare"
                             *ngFor="let fontFamily of config.LIST_FONT_COLOR"
                             style="height: 30px; width: 30px;">
                            <div [style.backgroundColor]="fontFamily" style="width: 100%; height: 100%;"></div>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
                <div class="form-group">
                    <div id="vvAnnText" class="row">
                        <div id="vvAnnTextFace" class="form-group-sm col-md-7">
                            <label for="vvAnnTextFaceSelect" data-localize="annPopUp.fontFaceLabel.value"
                                   id="vvAnnTextFaceLabel" class="control-label" style="height: 14px;">Font: </label>
                            <select id="vvAnnTextFaceSelect"
                                    class="form-control">
                                <option *ngFor="let fontFamily of config.LIST_FONT_FAMILY">{{fontFamily}}</option>
                            </select>
                        </div>
                        <div id="vvAnnTextSize" class="form-group-sm col-md-5">
                            <label for="vvAnnTextSizeSelect" class="control-label"
                                   data-localize="annPopUp.fontSizeLabel.value" id="vvAnnTextSizeLabel"
                                   style="height: 14px;">Font Size: </label>
                            <select id="vvAnnTextSizeSelect" class="form-control">
                                <option *ngFor="let font of config.LIST_FONT_SIZE" [value]="font">{{font}}</option>
                            </select>
                        </div>
                        <div id="vvAnnTextStyle" class="checkbox form-group-sm col-md-12">
                            <label for="vvAnnTextStyleBold" class="control-label col-md-6">
                                <input id="vvAnnTextStyleBold" type="checkbox" name="Bold"
                                       (click)="changeFontWeight($event)" value="Bold"
                                       data-original-title="Bold"
                                       title="Bold"
                                       [checked]="settings.textedit.fontWeight"/>
                                <b data-localize="annPopUp.bold">Bold</b>
                            </label>
                            <label for="vvAnnTextStyleItalic" class="control-label col-md-6">
                                <input id="vvAnnTextStyleItalic" type="checkbox" name="Italic"
                                       value="Italic"
                                       title="Italic"
                                       [checked]="settings.textedit.fontStyle">
                                <i data-localize="annPopUp.italic">Italic</i>
                            </label>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div id="vvAnnotationInformation">
                        <div class="vvAnnPopUpInfo">
                            <label id="vvAnnCreateText" for="vvAnnCreateUser" data-localize="annPopUp.annCreateText">Created
                                by: </label>
                            <div id="vvAnnCreateUser">Undefined User</div>
                        </div>
                        <div class="vvAnnPopUpInfo">
                            <label id="vvAnnDateText" for="vvAnnCreateDate"
                                   data-localize="annPopUp.annDateText">On: </label>
                            <div id="vvAnnCreateDate">{{ timeCreate }}</div>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <button type="button" class="btn btn-danger" data-toggle="tooltip"
                            title="Delete Annotation"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
                    </button>
                    <button type="button" class="btn btn-success" data-toggle="tooltip"
                            title="Apply"><span class="glyphicon glyphicon-ok" aria-hidden="true"></span>
                    </button>
                </div>
            </div>
        </div>
    </div>
    <div id="viewerThumbs" class="no-print">
        <ngb-tabset [justify]="justified" #t="ngbTabset">
            <ngb-tab id="listThumb">
                <ng-template ngbTabTitle>
                    <div class="tooltip-hover">
                        <i class="fa fa-file-o fa-2x" aria-hidden="true"></i>
                        <span class="tooltiptext">Page View</span>
                    </div>
                </ng-template>
                <ng-template ngbTabContent>
                    <div class="box-item-thumb"*ngIf="isShowImage">
                        <div class="thumbnails">
                            <div class="col-xs-12 thumbnails" *ngFor="let document of listItemSelected; let i = index">
                                <a (click)="changeDocument(i + 1)" class="tooltip-hover document-thumb-{{i + 1}}">
                                    <img [src]='document.url' alt=""
                                         class="img-responsive {{(i == 0) ? 'active' : ''}}"/>
                                    <span class="tooltiptext tooltip-thumbnail tooltip-top">Page {{i + 1}}</span>
                                </a>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </ngb-tab>
            <ngb-tab id="listItem">
                <ng-template ngbTabTitle>
                    <div class="tooltip-hover">
                        <i class="fa fa-folder-o fa-2x" aria-hidden="true"></i>
                        <span class="tooltiptext" aria-hidden="true">Document View</span>
                    </div>
                </ng-template>
                <ng-template ngbTabContent>
                    <div class="box-item-thumb">
                        <div class="col-xs-12 thumbnails" *ngFor="let item of listFolderOrDocument">
                            <div class="item clearfix tooltip-hover"
                                 (click)="showDocument(item.path, item.fileName, item.isDocumentFolder); t.select('listThumb')"
                                 *ngIf="item.isDocumentFolder && item.isDirectory">
                                <div class="image thumbnails">
                                    <img src="../assets/images/{{item.icon}}" alt="{{item.fileName}}">
                                    <span class="tooltiptext tooltip-top">{{item.fileName}}</span>
                                </div>
                            </div>
                            <div class="item clearfix tooltip-hover" (dblclick)="openFolder(item.path)"
                                 *ngIf="!item.isDocumentFolder && item.isDirectory">
                                <div class="image thumbnails">
                                    <img src="../assets/images/{{item.icon}}" alt="{{item.fileName}}">
                                    <span class="tooltiptext tooltip-top">{{item.fileName}}</span>
                                </div>
                            </div>
                            <div class="item tooltip-hover"
                                 (click)="showDocument(item.path, item.fileName, item.isDocumentFolder); t.select('listThumb')"
                                 *ngIf="!item.isDirectory">
                                <div class="image thumbnails"
                                     *ngIf="item.ext === 'jpg' || item.ext === 'JPG' || item.ext === 'jpeg' || item.ext === 'JPEG' || item.ext === 'png' || item.ext === 'png'">
                                    <img src="../assets/images/{{item.icon}}" alt="{{item.fileName}}">
                                    <span class="tooltiptext tooltip-top">{{item.fileName}}</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </ngb-tab>
        </ngb-tabset>
    </div>
</div>
